/* -----------------------------------------------------------------------------



File:           JS Core
Version:        1.0
Last change:    00/00/00 
Author:         HTMLMATE Team

-------------------------------------------------------------------------------- */
(function() {

	"use strict";

	var Strom = {
		init: function() {
			this.Basic.init();  
		},

		Basic: {
			init: function() {

				this.preloader();
				this.stromTAB();
				this.quickviewSlide();
				this.quantityJS();
				this.bannerParalax();
				// this.workTab();
				this.sponsorSlide();
				this.FeaturedSlide();
				this.counterdown();
			},




/* Start Of Preloader
================================================*/
preloader: function (){

	jQuery(window).on('load', function(){
		jQuery('#preloader').fadeOut('slow',function(){jQuery(this).remove();});
	});
},
/* End  Of Preloader
================================================*/


/* Start Of strom tab
================================================*/
stromTAB: function (){
	// $(".tab-content-1").hide();
	// $(".tab-content-1:first").show();

	// $(".tab-content-2").hide();
	// $(".tab-content-2:first").show();

	// /* if in tab mode */
	// $("ul.product-tab li").on("click", function() {
		
	// 	$(".tab-content-1").hide();
	// 	var activeTab = $(this).attr("rel"); 
	// 	$("#"+activeTab).fadeIn();    

	// 	$("ul.product-tab li").removeClass("active");
	// 	$(this).addClass("active");

	// 	$(".tab_drawer_heading").removeClass("d_active");
	// 	$(".tab_drawer_heading[rel^='"+activeTab+"']").addClass("d_active");

	// });
	/* if in drawer mode */
	// $(".tab_drawer_heading").on("click", function() {
		
	// 	$(".tab-content-1").hide();
	// 	var d_activeTab = $(this).attr("rel"); 
	// 	$("#"+d_activeTab).fadeIn();

	// 	$(".tab_drawer_heading").removeClass("d_active");
	// 	$(this).addClass("d_active");

	// 	$("ul.product-tab li").removeClass("active");
	// 	$("ul.product-tab li[rel^='"+d_activeTab+"']").addClass("active");
	// });
	
	
  /* Extra class "tab_last" 
     to add border to right side
     of last tab */
     $('ul.product-tab li').last().addClass("tab_last");
 },
/* End Of best product
================================================*/


/* Start of quick view slider
================================================*/
quickviewSlide: function (){
	if($("#quick-view-slider").length > 0){
		var owl = $('#quick-view-slider').owlCarousel({
			loop:false,
			margin:15,
			nav: true,
			smartSpeed: 1000,
			navText:["<i class='icon-arrow-left'></i>","<i class='icon-arrow-right'></i>"],
		})
	}
},
/* End  of quick view slider
================================================*/

/* Start of quick view slider
================================================*/
quantityJS: function (){
	if($("#theInput").length > 0){
		var input = document.getElementById('theInput');
		document.getElementById('plus').onclick = function(){
			input.value = parseInt(input.value, 10) +1
		}
		document.getElementById('minus').onclick = function(){
			input.value = parseInt(input.value, 10) -1
		}
	}
},
/* End  of quick view slider
================================================*/


/* Start Of parallax
================================================*/
bannerParalax: function (){
	jQuery('.jarallax').jarallax({
		speed: 0.5,
	});
},
/* End Of Preloader
================================================*/


// workTab:  function (){
// 	var filterizd = $('.filtr-container').filterizr({
//    //options object
// });
// 	$('.filtr-button').on('click', function() {

//     //console.log("Clicked");
//     $('.filtr-button.filtr-active').removeClass('filtr-active');
//     $(this).addClass('filtr-active');
// });
// },


/* Start Of service slide
================================================*/
sponsorSlide: function (){
	$('#sponsor-slide').owlCarousel({
		margin: 100,
		responsiveClass:true,
		nav: true,
		autoplay: false,
		navText:["<i class='icon-arrow-left'></i>","<i class='icon-arrow-right'></i>"],
		autoplay: false,
		dots: false,
		smartSpeed: 1000,
		responsive:{
			0:{
				items:1,
			},
			400:{
				items:2,
			},
			600:{
				items:3,
			},
			700:{
				items:4,
			},
			1000:{
				items:5,

			}
		},
	})
},
/* End Of service slide
================================================*/

FeaturedSlide: function(){
	$('.featured-slide-item').owlCarousel({
		loop:false,
		margin:15,
		nav: true,
		smartSpeed: 1000,
		navText:["<i class='icon-arrow-left'></i>","<i class='icon-arrow-right'></i>"],
		dots: false,
		responsive:{
			0:{
				items:1
			},
			600:{
				items:3
			},
			1000:{
				items:4
			}
		}
	})
},

counterdown: function() {
	$('.countdown').each(function(){

		var date = $(this).data('date'),
		labels = eval($(this).data('labels'));

		$(this).countdown(date, function(event) {
			var format = '<div class="time"><span class="hours"><b>%H</b> <br>HRS</span> <span class="minutes"><b>%M</b> <br> MIN</span> <span class="sec"><b>%S</b> <br> SEC</span></div>';
			if(event.offset.weeks > 0) {
				format = '<span class="weeks"><b>%-w</b> <span> <br>' + labels[1] + '</span></span>' + format;
			}
			$(this).html(event.strftime(format));
		});

	});
},

}
}
jQuery(document).ready(function (){
	Strom.init();
});

})();
